Subject: Re: [RFC] git-mergetool: show original branch names when possible

From: Jan Hudec <[email-masked]>
Date: Mon, 20 Aug 2007 20:17:25 +0200

On Mon, Aug 20, 2007 at 04:52:47 -0400, Jeff King wrote:
> On Mon, Aug 20, 2007 at 01:28:31AM -0700, Junio C Hamano wrote:
> > > 2. It looks like doing an anonymous 'git-pull' leaves GITHEAD_* as the
> > > commit sha1, which means you will end up with that sha1 rather than
> > > 'REMOTE', which is less nice than the current behavior.
> > 
> > Much less nice indeed.
> 
> I think this is a failing of git-merge, though, for not including that
> nice human-readable information. We can fix it with something like this:

Maybe you could call git-name-rev on it if it does not come with
a human-readable name.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>